- Qt 5.0
- Qt 5.0.0 Reference Documentation

# DetailFilter QML Type

The DetailFilter element provides a filter based around a detail value criterion. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- detail : Detail

## Signals

- onFilterChanged()

## Detailed Description

Simple example how to utilize DetailFilter element together with OrganizerModel and ListView elements:

     Rectangle {
         height: 400; width: 400;

         OrganizerModel{
             id: organizer
             startPeriod: "2009-01-01"
             endPeriod: "2012-12-31"
             filter: todoFilter
         }

         Type {
             id: typeDetailToMatch
             type: Type.Todo
         }

         DetailFilter {
             id: todoFilter
             detail: typeDetailToMatch
         }

         ListView {
             width: parent.width; height: parent.height;
             model: organizer.items
             delegate: Text {text: displayLabel}
         }
     }

See also QOrganizerItemDetailFilter.

## Property Documentation

detail : Detail

This property holds the detail instance used by this filter for matching.

## Signal Documentation

onFilterChanged()

Note: The corresponding handler is `onOnFilterChanged`.

See also QtOrganizer5::Filter::onFilterChanged.